<?php

namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;

class BairroEntity
{

    public function __construct($entityManager, $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function retornaBairro($cdPais, $sgEstado, $cdMunicipio, $cdBairro){
        $bairro = $this->entityManager->getRepository(Repositories::BAIRRO)->findBy(array('cdpais' => $cdPais,
            'sgestado' => $sgEstado, 'cdmunicipio' => $cdMunicipio, 'cdbairro' => $cdBairro));
            
        return $bairro;
    }
    
    public function defineBairro($endereco) {
        if ($endereco->getCdbairro() !== null) {
            $bairro = $this->retornaBairro(
                $endereco->getCdpais(), $endereco->getSgestado(), $endereco->getCdmunicipio(),
                $endereco->getCdbairro()
            );

           return $bairro->getNmbairro();
        } else {
            return $endereco->getNmbairroendereco();
        }
    }
}